//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ARGNS.ConfIni
{
    using System;
    using System.Collections.Generic;
    
    public partial class Actions
    {
        public Actions()
        {
            this.Pages = new HashSet<Pages>();
            this.RolPageAction = new HashSet<RolPageAction>();
            this.UserPageAction = new HashSet<UserPageAction>();
        }
    
        public int IdAction { get; set; }
        public string Description { get; set; }
        public bool Active { get; set; }
        public string InternalKey { get; set; }
        public string KeyResource { get; set; }
    
        public virtual ICollection<Pages> Pages { get; set; }
        public virtual ICollection<RolPageAction> RolPageAction { get; set; }
        public virtual ICollection<UserPageAction> UserPageAction { get; set; }
    }
}
